Follow

Requirements

Updated

To be able to run the Driver app application, your smartphone must have the following requirements:

  • Mobile system: Android
  • Version: 5.0 or higher
Was this article helpful?
0 out of 1 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk